Bug 1448337 (CVE-2017-4966) - CVE-2017-4966 rabbitmq: Authentication details are stored in browser-local storage without expiration
Summary: CVE-2017-4966 rabbitmq: Authentication details are stored in browser-local st...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-4966
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1448338 1448339
Blocks: 1448341
TreeView+ depends on / blocked
 
Reported: 2017-05-05 08:53 UTC by Andrej Nemec
Modified: 2019-09-29 14:11 UTC (History)
25 users (show)

Fixed In Version: rabbitmq-server 3.6.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-03 00:55:20 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-05-05 08:53:58 UTC
It was found that the rabbitmq authentication details are being stored indefinitely in the local browser cache.

External References:

https://github.com/rabbitmq/rabbitmq-server/releases/tag/rabbitmq_v3_6_9

Comment 1 Andrej Nemec 2017-05-05 08:56:14 UTC
Created rabbitmq-server tracking bugs for this issue:

Affects: epel-all [bug 1448338]
Affects: fedora-24 [bug 1448339]

Comment 6 Adam Mariš 2017-05-30 07:37:14 UTC
Statement:

This issue affects rabbitmq-server plugins as shipped with:
* Red Hat Storage Console 2
* Red Hat Enterprise Linux OpenStack Platform 5,6,7
* Red Hat OpenStack Platform 8,9,10,11
Although RabbitMQ plugins are shipped in these products, no plugins are enabled or used by default. 
To verify your environment's plugin usage, run: 
# rabbitmq-plugins list

A future update may address this issue. Red Hat Product Security has rated this issue as having Moderate security impact. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.